// ESAF : Euso Simulation and Analysis Framework
// $Id: EConst.cc 1165 2004-10-21 09:03:50Z berat $
// A.Thea created Mar, 8 2004

#include "EConst.hh"

Double_t EConst::AtomicMass(const string type){
  if  (type == "Proton")
    return 1;
  else if (type == "Iron")
    return 56;
  else if (type == "DiOxygen")
    return 31.999;
  else if (type == "Oxygen")
    return 15.9994;
  else if (type == "TriOxygen")
    return 47.999;
  else if (type == "DiNitrogen")
    return 28.011;
  else if (type == "DiOxygen")
    return 31.999;
  else if (type == "H2O")
    return 18.015;
  else if (type == "CO2")
    return 44.01;
  else if (type == "Air")
    return 28.966;
  else
    return -1; 
}
