// OutputRenameDlg.hh
//
#ifndef __OUTPUTRENAMEDLG_HH_
#define __OUTPUTRENAMEDLG_HH_

#include "TGFrame.h"
#include "TGButton.h"

class SimuApplication;

class OutputRenameDlg : public TGTransientFrame {
public:
    OutputRenameDlg(const TGWindow*,const TGWindow*);
    virtual ~OutputRenameDlg();

    virtual void CloseWindow();
    virtual Bool_t ProcessMessage( Long_t, Long_t, Long_t );

private:
    void RetrieveData();      // get data from widgets and update config

    TGCompositeFrame *fFrame;
    TGButton *fOK,*fCancel;
    TGLayoutHints *fL1, *fL2;

    ClassDef(OutputRenameDlg,0)
};

#endif
