// $Id: RecoShowerTrackData.cc 2387 2005-11-23 16:02:40Z moreggia $
// Author: Sylvain Moreggia   2005/11/16

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: RecoShowerTrackData                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

//_____________________________________________________________________________
//
// RecoShowerTrackData
//
// <extensive class description>
//
//   Config file parameters
//   ======================
//
//   <parameter name>: <parameter description>
//   -Valid options: <available options>
//

#include "RecoShowerTrackData.hh"
#include "RecoShowerStepData.hh"

ClassImp(RecoShowerTrackData)

//_____________________________________________________________________________
RecoShowerTrackData::RecoShowerTrackData() {
    //
    // Constructor
    //

}

//_____________________________________________________________________________
RecoShowerTrackData::~RecoShowerTrackData() {
    //
    // Destructor
    //
    
    RecoShowerStepData* data = 0;
    for(UInt_t i=0; i<fSteps.size(); i++) {
        data = fSteps[i];
	SafeDelete(data);
    }
    fSteps.clear();
}

