// ESAF : Euso Simulation and Analysis Framework
// Reconstruction Module data container
// $Id: RecoModuleData.cc 2713 2006-06-06 12:28:46Z thea $
// Marco Pallavicini created Feb, 16 2004
// Description:
// Rather simple and crude data container
// A RecoModuleData can store data in the form of integers, doubles and
// objects of any kind
// Each data is identified with a name
// Name duplication is not allowed
// Objects are stored internally as pointer to void, therefore the user must
// know the type of object he is reading back and apply the right casting
//

#include <iostream>
#include <exception>
#include "RecoModuleData.hh"
#include "RecoModule.hh"

ClassImp(RecoModuleData)

//______________________________________________________________________________
RecoModuleData::RecoModuleData(RecoModule *p) : pModule(p)  {
    //
    // Constructor
    // 
}

//______________________________________________________________________________
RecoModuleData::~RecoModuleData() {
    //
    // Destructor
    // 
}


//______________________________________________________________________________
const string& RecoModuleData::GetName() const {
    //
    //
    //
    return GetOwner()->GetName();
}

