// ESAF : Euso Simulation and Analysis Framework
// $Id: TruthModule.hh 2136 2005-10-02 14:18:08Z thea $
// Dmitry V.Naumov created Jun, 23 2004

#ifndef __TRUTHMODULE_HH__
#define __TRUTHMODULE_HH__

#include "euso.hh"

class RecoRootEvent;
class RecoEvent;

class TruthModule {
public:
    // ctor
    TruthModule(RecoEvent *);
    // dtor
    virtual ~TruthModule();

    // save root output
    virtual Bool_t SaveRootData( RecoRootEvent* );

private:
    RecoEvent* fEv;
    ClassDef(TruthModule,0)
};

#endif  /* __TRUTHMODULE_HH__ */

