// $Id: RecoHeader.cc 1356 2005-01-05 13:08:21Z pesce $
// Author: R.Pesce   2005/01/04

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: RecoHeader                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

//_____________________________________________________________________________
//
// RecoHeader
//
// <extensive class description>
//
//   Config file parameters
//   ======================
//
//   <parameter name>: <parameter description>
//   -Valid options: <available options>
//

#include "RecoHeader.hh"

ClassImp(RecoHeader)

//_____________________________________________________________________________
RecoHeader::RecoHeader() {
    //
    // Constructor
    //
    fNum = -1;
    fRun = -1;
}

//_____________________________________________________________________________
RecoHeader::~RecoHeader() {
    //
    // Destructor
    //
    fNum = -1;
    fRun = -1;
}


//_____________________________________________________________________________
RecoHeader::RecoHeader( const RecoHeader& other ) {
    //
    // Copy Constructor
    //
    other.Copy( *this );
}


//_____________________________________________________________________________
void RecoHeader::Copy( TObject& other ) const {
    //
    // Copy to a new object
    //
    TObject::Copy( other );

    ((RecoHeader&)other).fNum = fNum;
    ((RecoHeader&)other).fRun = fRun;
}

//_____________________________________________________________________________
void RecoHeader::Clear() {
    fNum = -1;
    fRun = -1;
}
