// $Id: RecoHmaxForProton.cc 1356 2005-01-05 13:08:21Z pesce $
// Author: R.Pesce   2005/01/04

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: RecoHmaxForProton                                                    *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

//_____________________________________________________________________________
//
// RecoHmaxForProton
//
// <extensive class description>
//
//   Config file parameters
//   ======================
//
//   <parameter name>: <parameter description>
//   -Valid options: <available options>
//

#include "RecoHmaxForProton.hh"

ClassImp(RecoHmaxForProton)

//_____________________________________________________________________________
RecoHmaxForProton::RecoHmaxForProton() {
    //
    // Constructor
    //
    Clear();
}

//_____________________________________________________________________________
RecoHmaxForProton::~RecoHmaxForProton() {
    //
    // Destructor
    //
    Clear();
}

//_____________________________________________________________________________
RecoHmaxForProton::RecoHmaxForProton( const RecoHmaxForProton& other ) {
    //
    // Copy constructor
    //
    other.Copy( *this );
}

//_____________________________________________________________________________
void RecoHmaxForProton::Copy( TObject& other ) const {
    //
    // Copy to a new object
    //
    TObject::Copy( other );

    ((RecoHmaxForProton&)other).fQuality = fQuality;
    ((RecoHmaxForProton&)other).fHmax = fHmax;
    ((RecoHmaxForProton&)other).fErrorHmax = fErrorHmax;
}

//_____________________________________________________________________________
void RecoHmaxForProton::Clear() {
    //
    // Clear method
    //
    fQuality   = -1;
    fHmax      = -1;
    fErrorHmax = -1;
}
