#ifndef _G4Detector_h
#define _G4Detector_h

#include "Detector.hh"
#include "EsafConfigurable.hh"
#include "EsafMsgSource.hh"

class VirtualDetectorTransportManager;
class EusoElectronics;

class G4Detector : public Detector, public EsafConfigurable, public EsafMsgSource {
public:
    G4Detector();
    // ctor
    virtual ~G4Detector();
    // dtor
    Telemetry* Get(PhotonsOnPupil*);
    void Build();

    //inline VirtualDetectorTransportManager* GetDetectorTransportManager() { return fDetectorTransporter; }

    void Reset() ;
    // get ready for next event

    Bool_t ClearMemory();

private:
//     VirtualDetectorTransportManager *fDetectorTransporter;
    EusoElectronics *fElectronics;

    EsafConfigClass(G4,G4Detector)

};

#endif
