#ifndef G4TrackInformation_h
#define G4TrackInformation_h 1

//#include <globals.hh>
#include <G4VUserTrackInformation.hh>
#include <ParentPhoton.hh>
#include <stdio.h>
class Photon;
class G4TrackInformation : public G4VUserTrackInformation
{
  public:
    G4TrackInformation(Photon* p,int r,int orig){fPhoton=p; reflect=r;origin=orig;}
    ~G4TrackInformation(){
                          if (fPhoton && origin){
                            if (fPhoton->parent) delete fPhoton->parent;
                            delete fPhoton;
                          }}

    Photon* fPhoton;
    int reflect;
    //1 this photon is reflected from electronics
    //0 no reflection from electronics
    int origin;
    //1 this photon from geant
    //0 this photon from pupil
};
#endif /*G4TrackInformation_h*/
