// $Id$
// Author: fenu   2007/12/05

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: CCB_LTTTrigger                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __CCB_LTTTRIGGER_HH__
#define __CCB_LTTTRIGGER_HH__

#include "euso.hh"
#include "TriggerEngine.hh"
#include "CCB_LTTTriggerSegment.hh"
#include "LTTTrigger.hh"
////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// CCB_LTTTrigger                                                                 //
//                                                                            //  
// <brief class description>                                                  //  
//                                                                            //  
////////////////////////////////////////////////////////////////////////////////
  class CCB_LTTTrigger : public LTTTrigger {
public:
  CCB_LTTTrigger();
  virtual ~CCB_LTTTrigger();   
 // simulate trigger
  virtual void Simulate( MacroCellData* );
protected:
     Int_t fInputTrigger;
// clear memory
 virtual void Clear();
  vector< vector<int> > CCB_LTTTrigger_tracks;
//Perform the integration
    void FillInfoVector(Int_t,Int_t,Int_t,Int_t,Int_t,Int_t,Int_t);
    void FillChipData(Int_t,Int_t,Int_t,Int_t,Int_t,Int_t,Int_t,MacroCellData*);private:    
    void FillEEvent( Int_t );
     vector<CCB_LTTTriggerSegment> fTracks;
  EsafConfigClass(Electronics,CCB_LTTTrigger);
  ClassDef(CCB_LTTTrigger,0)    

};

#endif  /* __CCB_LTTTRIGGER_HH__ */

