// ESAF : Euso Simulation and Analysis Framework
// $Id: EEventTelemetryAdder.hh 1220 2004-11-26 17:32:38Z thea $
// A.Thea created Oct, 26 2003

#ifndef __EUSOEVENTTELEMETRYADDER_HH_
#define __EUSOEVENTTELEMETRYADDER_HH_

#include "euso.hh"
#include "EFiller.hh"
#include "EsafMsgSource.hh"

class Telemetry;

class EEventTelemetryAdder : public EFiller, public EsafMsgSource {
public:
    // ctor
    EEventTelemetryAdder( Telemetry *);

    // dtor
    virtual ~EEventTelemetryAdder();

    virtual void Fill( EFillable *);

private:
    Telemetry *fTelemetry;

    ClassDef(EEventTelemetryAdder,0)
};

#endif  /* __EUSOEVENTTELEMETRYADDER_HH_ */

