// $Id$
// Author: fenu2   2009/10/26

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: EPTTTriggerDataAdder                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __EPTTTRIGGERDATAADDER_HH__
#define __EPTTTRIGGERDATAADDER_HH__

#include "euso.hh"
#include "EFiller.hh"

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// EPTTTriggerDataAdder                                                                 //
//                                                                            //  
// <brief class description>                                                  //  
//                                                                            //  
////////////////////////////////////////////////////////////////////////////////
class PTTTriggerSegment;

class EPTTTriggerDataAdder : public EFiller {
public:
  EPTTTriggerDataAdder(PTTTriggerSegment*,Int_t,Int_t);
    virtual ~EPTTTriggerDataAdder();
    virtual void Fill( EFillable *);
private:
    Int_t fCellId;               // macrocell id
    Int_t fEvtId;               // chip unique id
    PTTTriggerSegment *fPTTTrack;
    ClassDef(EPTTTriggerDataAdder,0)
};

#endif  /* __EPTTTRIGGERDATAADDER_HH__ */

