// ESAF : Euso Simulation and Analysis Framework
// $Id: ERunParsPmtsFiller.hh 2885 2011-05-04 08:12:16Z biktem $
// Alessandro Thea created Feb, 18 2004

#ifndef __ERUNPARSPMTSFILLER_HH_
#define __ERUNPARSPMTSFILLER_HH_

#include "euso.hh"
#include "ERunParsFiller.hh"
// #include "EsafConfigurable.hh"

class EusoElectronics;
class ERunParsPmtsFiller : public ERunParsFiller{
public:
    // ctor
    ERunParsPmtsFiller( EusoElectronics* );

    // dtor
    virtual ~ERunParsPmtsFiller();

    virtual void Fill( ERunParameters* );
//     EsafConfigClass(Electronics,ERunParsPmtsFiller);
private:
    EusoElectronics* fElectronics;

    ClassDef(ERunParsPmtsFiller,0)
};

#endif  /* __ERUNPARSPMTSFILLER_HH_ */

