// $Id: ESimpleDetectorPhotoElecAdder.hh 2619 2006-03-24 16:23:27Z moreggia $
// Author: Sylvain Moreggia   2006/03/21

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: ESimpleDetectorPhotoElecAdder                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __ESIMPLEDETECTORPHOTOELECADDER_HH__
#define __ESIMPLEDETECTORPHOTOELECADDER_HH__

#include "euso.hh"
#include "EFiller.hh"
#include "EsafMsgSource.hh"

class PhotoElectron;

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// ESimpleDetectorPhotoElecAdder                                                                 //
//                                                                            //  
// <brief class description>                                                  //  
//                                                                            //  
////////////////////////////////////////////////////////////////////////////////

class ESimpleDetectorPhotoElecAdder : public EFiller, public EsafMsgSource {
public:
    
    // ctor
    ESimpleDetectorPhotoElecAdder(PhotoElectron* pe, Bool_t newpe);
    
    // dtor
    virtual ~ESimpleDetectorPhotoElecAdder();
    
    // fill
    void Fill( EFillable* f );

private:

    const PhotoElectron* fPe;
    Bool_t fNewPe;

    ClassDef(ESimpleDetectorPhotoElecAdder,0)
};

#endif  /* __ESIMPLEDETECTORPHOTOELECADDER_HH__ */

