// ESAF : Euso Simulation and Analysis Framework
// $Id: PersistencyTriggerEngine.hh 1243 2004-12-06 08:38:27Z thea $
//  created Oct, 24 2003

#ifndef __PERSISTENCYTRIGGERENGINE_HH_
#define __PERSISTENCYTRIGGERENGINE_HH_

#include "euso.hh"
#include "TriggerEngine.hh"
#include "EsafMsgSource.hh"

class PersistencyTriggerEngine : public TriggerEngine {
public:
    // ctor
    PersistencyTriggerEngine();

    // dtor
    virtual ~PersistencyTriggerEngine();

    // simulate
    void Simulate( MacroCellData* );

private:

    ClassDef(PersistencyTriggerEngine,0)
};

#endif  /* __PERSISTENCYTRIGGERENGINE_HH_ */

