// $Id: SiliconPhotomultiplier.hh 1916 2005-06-04 17:37:32Z thea $
// Author: Alessandro Thea   2005/04/25

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: SiliconPhotomultiplier                                               *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __SILICONPHOTOMULTIPLIER_HH__
#define __SILICONPHOTOMULTIPLIER_HH__

#include "euso.hh"
#include "Photomultiplier.hh"

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// SiliconPhotomultiplier                                                     //
//                                                                            //  
// SiPm esaf class. Simulates a 5x5 mm pixels silicon photomultiplier         //  
//                                                                            //  
////////////////////////////////////////////////////////////////////////////////

class SiliconPhotomultiplier : public Photomultiplier {
public:
    SiliconPhotomultiplier( Int_t id, PmtGeometry* g );
    virtual ~SiliconPhotomultiplier();

private:

    ClassDef(SiliconPhotomultiplier,0)
};

#endif  /* __SILICONPHOTOMULTIPLIER_HH__ */

