// ESAF : Euso Simulation and Analysis Framework
// standard macrocell 
// $Id: StandardMacroCell.hh 1588 2005-02-24 11:00:28Z pesce $
// from the original MacroCell class
// M. Pallavicini - created 8-10-03

#ifndef __STANDARDMACROCELL_H_
#define __STANDARDMACROCELL_H_

#include "MacroCell.hh"

class StandardMacroCell : public MacroCell {
public: 
    // ctor
    StandardMacroCell(Int_t,Int_t);

    // dtor
    virtual ~StandardMacroCell();
   
    // simulate the full StandardMacroCell
    virtual MacroCellData* Simulate(Int_t night_glow_code=0);         
    
    EsafConfigClass(Electronics,StandardMacroCell)

private:
    friend class MacroCellData;

    ClassDef(StandardMacroCell,0)
};

#endif
