// $Id: EEventGeoFiller.hh 2373 2005-11-14 22:44:15Z thea $
// Author: Alessandro Thea   2005/11/14

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: EEventGeoFiller                                                      *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __EEVENTGEOFILLER_HH__
#define __EEVENTGEOFILLER_HH__

#include "EFiller.hh"

class DetectorGeometry;

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// EEventGeoFiller                                                            //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

class EEventGeoFiller : public EFiller {
public:
    EEventGeoFiller( DetectorGeometry* );
    virtual ~EEventGeoFiller();

    virtual void Fill( EFillable* );
private:

    DetectorGeometry* fGeo;

    ClassDef(EEventGeoFiller,0);
};

#endif  /* __EEVENTGEOFILLER_HH__ */

