// ESAF : Euso Simulation and Analysis Framework
// $Id: JIdealFocalSurface.hh 1726 2005-04-14 21:49:58Z thea $
// A.Thea created Apr,  3 2003

#ifndef __JIDEALFOCALSURFACE_HH_
#define __JIDEALFOCALSURFACE_HH_

#include "euso.hh"
#include "IdealFocalSurface.hh"

class JIdealFocalSurface : public IdealFocalSurface {
public:
    JIdealFocalSurface();
    virtual ~JIdealFocalSurface();

    virtual Bool_t HitPosition(Photon *p);
    
    virtual Double_t Profile( Double_t r);

private:
    Double_t Zfs(Double_t r);
    Double_t _rho, _k, _a, _b, _c, _d, _prec;

    EsafConfigClass(Optics,JIdealFocalSurface)

    ClassDef(JIdealFocalSurface,0)
};          

#endif  /* __JIDEALFOCALSURFACE_HH_ */

