/* -------------------------------------------------------------------------
 *   spline.h
 *
 *   --- header file for spline.c
 *
 * $Id: Lspline.hh 2784 2007-11-16 10:19:08Z naumov $
 * $Id: Lspline.hh,v 1.0 2007/11/13 Dmitry V.Naumov adapted for ESAF
 * -------------------------------------------------------------------------
 */
#ifndef _LSPLINE_H
#define _LSPLINE_H
#include "Rtypes.h"

Int_t    Lcsp_maketable(Double_t x[], Double_t y[], Double_t z[], size_t size);
Double_t Lcspline(Double_t t, Double_t x[], Double_t y[], Double_t z[], size_t size);

#endif
