#ifndef VIRTUALTELPARM_HH
#define VIRTUALTELPARM_HH

#include "TROOT.h"
#include "Ntrace_optics.hh"

class VirtualTelParm {

   public:
    VirtualTelParm();
    virtual ~VirtualTelParm();
    static NTraceLens::tel_param* GetOpticalSystemParam() {return fOpticalSystemParam;}
protected:
    int ReadTelParm(const char*,const char*);
    FILE*                        fLogFile;
    static NTraceLens::tel_param* fOpticalSystemParam;


    ClassDef(VirtualTelParm,0)
};
 #endif
