// $Id: CartesianFocalPlane.cc 2136 2005-10-02 14:18:08Z thea $
// Author: Alessandro Thea   2005/02/17

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: CartesianFocalPlane                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

//_____________________________________________________________________________
//
// CartesianFocalPlane
//
// <extensive class description>
//
//   Config file parameters
//   ======================
//
//   <parameter name>: <parameter description>
//   -Valid options: <available options>
//

#include "CartesianFocalPlane.hh"

using namespace sou;

ClassImp(CartesianFocalPlane)

//_____________________________________________________________________________
CartesianFocalPlane::CartesianFocalPlane() {
    //
    // Constructor
    //

    fPos    = EVector(0,0,Conf()->GetNum("CartesianFocalPlane.fPos.Z"))*mm;
    fDZup   = 0;
    fDZdown = Conf()->GetNum("CartesianFocalPlane.fDZdown")*mm;
    fR      = Conf()->GetNum("CartesianFocalPlane.fRadius")*mm;
}

//_____________________________________________________________________________
CartesianFocalPlane::~CartesianFocalPlane() {
    //
    // Destructor
    //
}

