// ESAF : Euso Simulation and Analysis Framework
// $Id: OADBTree.hh 768 2004-06-16 13:35:19Z thea $
// A.Thea, J.Watts created Mar, 16 2004

#ifndef __OADBTREE_HH_
#define __OADBTREE_HH_

#include "TTree.h"
#include "OADBHeader.hh"

class OADBTree : public TTree {
public:
    // ctor
    OADBTree(const char* name="oadbtree", const char* title="Optics Analysis Module Database Tree", Int_t splitlevel = 99);

    // dtor
    virtual ~OADBTree();
    
    // set header
    void SetHeader(const OADBHeader&);
    
    // get header
    inline OADBHeader& GetHeader() { return fHeader;}

private:
    OADBHeader fHeader;

    ClassDef(OADBTree,1)
};

#endif  /* __OADBTREE_HH_ */

