// ESAF : Euso Simulation and Analysis Framework
// $Id: EShowerFiller.hh 1002 2004-09-13 16:44:02Z thea $
// A.Thea, created Jun, 22 2004

#ifndef __ESHOWERFILLER_HH_
#define __ESHOWERFILLER_HH_

#include "euso.hh"
#include "EFiller.hh"

class PhysicsData;
class ShowerTrack;

class EShowerFiller : public EFiller {
public:
    // ctor
    EShowerFiller( const PhysicsData *track );

    // dtor
    virtual ~EShowerFiller();

    // fill the root file
    virtual void Fill( EFillable* );

private:

    const ShowerTrack *fTrack;

    ClassDef(EShowerFiller,0);
};

#endif  /* __ESHOWERFILLER_HH_ */

