// $Id: MakePixelMapPhotonFile.C 2847 2010-10-19 16:03:33Z fenu $
// Author: A.Thea   2005/04/19

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: MakePixelMapPhotonFile                                               *
 *  Package: Macros                                                          *
 *  Coordinator: Alessandro.Thea                                             *
 *                                                                           *
 *****************************************************************************/

/* #include "EsafConfigurable.hh"
#include "Config.hh"
#include "EsafMsgSource.hh"
#include "EsafMsgDispatcher.hh"
#include "TString.h"
#include "PixelMapBuilder.hh"
*/

//______________________________________________________________________________
void MakePixelEffMap() {
    //
    // Builds the pixlemap photons file according the current config
    //

    EsafMsgDispatcher::Get()->SetScreenSeverity(EsafMsg::Info);
    PixelEffMapBuilder builder;
    builder.ProcessAll();
}

//______________________________________________________________________________
void MakeUserPixelEffMap(const char* usercfg=0 ) {
    //
    // Builds the pixlemap photons file according the user config
    //

    if ( usercfg ) {
        cout << "User config file " << usercfg << " loaded" << endl;
        Config::Get()->LoadUserConfig(usercfg);
    }

    MakePixelEffMap( name );
}
