// $Id: euso.hh 2429 2006-01-20 17:02:15Z moreggia $
// author: D. De Marco, M. Pallavicini   Jan, 18 2002

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: euso.hh                                                              *
 *  Package: Base                                                            *
 *  Coordinator: Marco.Pallavicini                                           *
 *                                                                           *
 *****************************************************************************/

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// Esaf                                                                       //  
//                                                                            //
// all very common declarations and includes                                  //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

//#include "PhysicalConstants.hh"
#include "ESystemOfUnits.hh"
#include "Rtypes.h"

#define TOLERANCE 1e-7

#ifndef __EUSO_HH__
#define __EUSO_HH__

const Double_t kTolerance = 1E-7;
const Double_t kAltitudeTolerance = 1*sou::mm;

using namespace std;

#endif /* __EUSO_HH__ */
