// ESAF : Euso Simulation and Analysis Framework
// $Id: RecoPhotoElectronData.cc 788 2004-06-17 08:20:12Z thea $
// R. Pesce created Jan, 16 2004

#include "RecoPhotoElectronData.hh"

ClassImp(RecoPhotoElectronData)

// ctor
RecoPhotoElectronData::RecoPhotoElectronData(Int_t fe, Int_t fech, Int_t gtu, Int_t cell, Bool_t fastor, 
    Int_t xc, Int_t yc, Float_t xpos, Float_t ypos)  {
    
    fFe = fe;
    fFeCh = fech;
    fGtu = gtu;
    fMacroCell = cell;
    fMadeFastOR = fastor;
    fXCell = xc;
    fYCell = yc;
    fXPos = xpos;
    fYPos = ypos;
}

// dtor
RecoPhotoElectronData::~RecoPhotoElectronData() {
}


