#ifndef __FSINTERSECTEDSEGMENT__
#define __FSINTERSECTEDSEGMENT__

#include "SSurface.h"
namespace G4FresnelLens{
class SSurface;
class FSIntersectedSegment {
public:
    FSIntersectedSegment() : surf(0),idx(-1),perp(0.){}
    bool Normal(const G4ThreeVector& p, double up, G4ThreeVector* norm);
    void Reset() { surf=0; idx=-1; perp=0; }
    G4FresnelLens::SSurface* surf;
    int idx;
    double perp;
};

//______________________________________________________________________________
inline bool FSIntersectedSegment::Normal(const G4ThreeVector& p, double up, G4ThreeVector* norm){
    return surf?surf->Normal(this, p, up, norm):false;
}

};
#endif
