#ifndef G4TusGeometry_h
#define G4TusGeometry_h 1

#include "globals.hh"
#include "G4VUserDetectorConstruction.hh"
#include "EsafMsgSource.hh"

class G4UnionSolid;
class G4TusGeometry : public G4VUserDetectorConstruction, public EsafMsgSource
{
    public:
        G4TusGeometry();
        virtual ~G4TusGeometry();
    public:
        G4VPhysicalVolume* Construct();
        G4UnionSolid* OneSegment(double,double,double,double);

    private:
        G4double expHall_x;
        G4double expHall_y;
        G4double expHall_z;
};

#endif /*G4TusGeometry_h*/
