#ifndef OptRunAction_h
#define OptRunAction_h 1

#include <globals.hh>
#include <G4UserRunAction.hh>
#include "EsafMsgSource.hh"

class G4Timer;
class OptRunAction : public G4UserRunAction, public EsafMsgSource
{
  public:
    OptRunAction();
    virtual ~OptRunAction();

  public:
    void BeginOfRunAction(const G4Run* aRun);
    void EndOfRunAction(const G4Run* aRun);
    static OptRunAction*  Instance()   { return fMe; }

  private:
    static OptRunAction *fMe;
    G4Timer* timer;


};
#endif /*OptRunAction_h*/
