#include "OptRunAction.hh"
#include <G4Run.hh>
#include <G4Timer.hh>


#include <iostream>
using namespace std;

OptRunAction* OptRunAction::fMe = 0;
OptRunAction::OptRunAction()
{
    fMe = this;
    timer = new G4Timer;
    SetSender("OptRunAction");
}

//_______________________________________________________________________________
OptRunAction::~OptRunAction()
{
  delete timer;
}

//_______________________________________________________________________________


void OptRunAction::BeginOfRunAction(const G4Run* aRun)
{
    //G4cout << "### Run " << aRun->GetRunID() << " start." << G4endl;
    timer->Start();
}
//_______________________________________________________________________________


void OptRunAction::EndOfRunAction(const G4Run* aRun)
{
    timer->Stop();
//    G4cout << "number of event = " << aRun->GetNumberOfEvent()
//            << " " << *timer << G4endl;
//    MsgForm(EsafMsg::Info,"Number of events processed = %i.",aRun->GetNumberOfEvent() );
//    MsgForm(EsafMsg::Info,"Begin writing file.");
//    MsgForm(EsafMsg::Info,"End writing file.");
}
