// $Id$
// Author: fenu2   2009/10/29

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: CCB_LTTTriggerSegment                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __CCB_LTTTRIGGERSEGMENT_HH__
#define __CCB_LTTTRIGGERSEGMENT_HH__
#include <iostream>
#include "euso.hh"

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// CCB_LTTTriggerSegment                                                                 //
//                                                                            //  
// <brief class description>                                                  //  
//                                                                            //  
////////////////////////////////////////////////////////////////////////////////

class CCB_LTTTriggerSegment {
public:
    CCB_LTTTriggerSegment();
    virtual ~CCB_LTTTriggerSegment();
  inline Int_t GetNumEvt() const { return fNumEvt; }
  inline void SetNumEvt(Int_t v) { fNumEvt=v; }

  inline Int_t GetMaxCount() const { return fMaxCount; }
  inline void SetMaxCount(Int_t v) { fMaxCount=v; }

  inline void SetMaxGtu(Int_t v) { fMaxGtu=v; }
  inline Int_t GetMaxGtu() {return fMaxGtu;}

  inline void SetMaxRow(Int_t v) { fMaxRow=v; }
  inline Int_t GetMaxRow() {return fMaxRow; }

  inline void SetMaxCol(Int_t v) { fMaxCol=v; }
  inline Int_t GetMaxCol() {return fMaxCol;}

  inline void SetMaxChipID(Int_t v) { fMaxChipID=v; }
  inline Int_t GetMaxChipID(){return fMaxChipID;}

  inline void SetMaxDir(Int_t v) { fMaxDir=v; }
  inline Int_t GetMaxDir(){return fMaxDir;}


private:  
  Int_t fNumEvt;
  Int_t fMaxCount;
  Int_t   fMaxGtu;
  Int_t   fMaxRow;
   Int_t    fMaxCol;
 Int_t     fMaxChipID;
 Int_t     fMaxDir;

  ClassDef(CCB_LTTTriggerSegment,0)
};

#endif  /* __CCB_LTTTRIGGERSEGMENT_HH__ */

