// $Id$
// Author: fenu2   2009/10/26

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: ECCB_LTTTriggerDataAdder                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __ECCB_LTTTRIGGERDATAADDER_HH__
#define __ECCB_LTTTRIGGERDATAADDER_HH__

#include "euso.hh"
#include "EFiller.hh"

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// ECCB_LTTTriggerDataAdder                                                                 //
//                                                                            //  
// <brief class description>                                                  //  
//                                                                            //  
////////////////////////////////////////////////////////////////////////////////
class CCB_LTTTriggerSegment;

class ECCB_LTTTriggerDataAdder : public EFiller {
public:
  ECCB_LTTTriggerDataAdder(CCB_LTTTriggerSegment*,Int_t,Int_t);
    virtual ~ECCB_LTTTriggerDataAdder();
    virtual void Fill( EFillable *);
private:
    Int_t fCellId;               // macrocell id
    Int_t fEvtId;               // chip unique id
    CCB_LTTTriggerSegment *fCCB_LTTTrack;
  // Int_t  max_count; 


    ClassDef(ECCB_LTTTriggerDataAdder,0)
};

#endif  /* __ECCB_LTTTRIGGERDATAADDER_HH__ */

