// $Id$
// Author: fenu2   2009/10/26

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: ELTTTriggerDataAdder                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __ELTTTRIGGERDATAADDER_HH__
#define __ELTTTRIGGERDATAADDER_HH__

#include "euso.hh"
#include "EFiller.hh"

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// ELTTTriggerDataAdder                                                                 //
//                                                                            //  
// <brief class description>                                                  //  
//                                                                            //  
////////////////////////////////////////////////////////////////////////////////
class LTTTriggerSegment;

class ELTTTriggerDataAdder : public EFiller {
public:
  ELTTTriggerDataAdder(LTTTriggerSegment*,Int_t,Int_t);
    virtual ~ELTTTriggerDataAdder();
    virtual void Fill( EFillable *);
private:
    Int_t fCellId;               // macrocell id
    Int_t fEvtId;               // chip unique id
    LTTTriggerSegment *fLTTTrack;
  // Int_t  max_count; 


    ClassDef(ELTTTriggerDataAdder,0)
};

#endif  /* __ELTTTRIGGERDATAADDER_HH__ */

