// ESAF : Euso Simulation and Analysis Framework
// $Id: ChipTrackSegment.cc 1505 2005-02-16 13:02:48Z pesce $
// M. Pallavicini created Jun, 10 2004

#include "ChipTrackSegment.hh"

ClassImp(ChipTrackSegment)

//______________________________________________________________________________
ChipTrackSegment::ChipTrackSegment() {

    // empty ctor
    
    fChipUid = -1;        
    fGtuStart = -1;
    fGtuEnd = -1;
    fCrossBorder = kFALSE;
    fTrackLength = 0;
    fHasHole = kFALSE;
    fTriggered = kFALSE;
}

//______________________________________________________________________________
ChipTrackSegment::~ChipTrackSegment() {
    // dtor
}

//______________________________________________________________________________
ostream& operator << (ostream& os, const ChipTrackSegment& seg) {
  os << "   Segment in Chip " << seg.GetChipUid() << endl;
  os << "      Start="<<seg.GetGtuStart()<<"   End="<<seg.GetGtuEnd()<<endl;
  os << "      Length="<<seg.GetTrackLength()<<"   Hole="
     <<(Int_t)seg.GetHasHole()<<endl;
  return os;
}


