// $Id: CartesianFocalPlane.hh 2804 2008-10-09 12:10:06Z biktem $
// Author: Alessandro Thea   2005/02/17

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: CartesianFocalPlane                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __CARTESIANFOCALPLANE_HH__
#define __CARTESIANFOCALPLANE_HH__

#include "euso.hh"
#include "FastFocalPlane.hh"

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// CartesianFocalPlane                                                                 //
//                                                                            //
// <brief class description>                                                  //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

class CartesianFocalPlane : public FastFocalPlane {
public:
    CartesianFocalPlane();
    virtual ~CartesianFocalPlane();

private:
	EsafConfigClass(Optics,CartesianFocalPlane)

    ClassDef(CartesianFocalPlane,0)
};

#endif  /* __CARTESIANFOCALPLANE_HH__ */

