// $Id: PolarFocalPlane.hh 1523 2005-02-17 17:24:49Z thea $
// Author: Alessandro Thea   2005/02/17

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: PolarFocalPlane                                                      *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __POLARFOCALPLANE_HH__
#define __POLARFOCALPLANE_HH__

#include "euso.hh"
#include "FastFocalPlane.hh"

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// PolarFocalPlane                                                            //
//                                                                            //  
// <brief class description>                                                  //  
//                                                                            //  
////////////////////////////////////////////////////////////////////////////////

class PolarFocalPlane : public FastFocalPlane {
public:
    PolarFocalPlane();
    virtual ~PolarFocalPlane();

private:
	EsafConfigClass(Optics,PolarFocalPlane)

    ClassDef(PolarFocalPlane,0)
};

#endif  /* __POLARFOCALPLANE_HH__ */

