// ESAF : Euso Simulation and Analysis Framework
// $Id: TestSimuModule.cc 762 2004-06-16 06:49:36Z thea $
// A. Thea created Mar, 13 2004

#include <iostream>
#include "TestSimuModule.hh"

ClassImp(TestSimuModule)

// constructor
TestSimuModule::TestSimuModule(const string& n) : SimuModule(n) {
}

// destructor
TestSimuModule::~TestSimuModule() {
}

// Init method: called at the beginning of a run
bool TestSimuModule::Init() {
    cout << "Initing Test Module named " << GetName() << endl;    
    return true;
}

// called before each event process
bool TestSimuModule::PreProcess() {
    cout << "Pre-processing Test Module named " << GetName() << endl;    
    return true;
}

// event processing
bool TestSimuModule::Process() {
    cout << "Processing Test Module named " << GetName() << endl;    
    //MyData()->Add("aa",2);
    //MyData()->Add("aaa",2.);
    //vector<double> *v=new vector<double>;
    //MyData()->Add("aba",v);

    return true;
}

// called after processing an event
bool TestSimuModule::PostProcess() {
    cout << "Post Processing Test Module named " << GetName() << endl;    
    return true;
}

// called at the end of each run
bool TestSimuModule::Done() {
    cout << "Ending Test Module named " << GetName() << endl;    
    
    return true;
}

// user cleaning
void TestSimuModule::UserMemoryClean() {
    //vector<double> *v = (vector<double>*)MyData()->GetObj("aba");
    //delete v;
    //MyData()->RemoveObj("aba");
}
