// ESAF : Euso Simulation and Analysis Framework
// $Id: PhysicsData.hh 1002 2004-09-13 16:44:02Z thea $
// D. De Marco, M. Pallavicini created Jan, 18 2002

#ifndef __PHYSICSDATA_HH_
#define __PHYSICSDATA_HH_

#include "euso.hh"
#include <string>

class PhysicsData {
public:
	// dtor
  virtual ~PhysicsData();

	// returns the type
	inline const string& Type() const { return fType; }

protected:
	// protected constructor, can be build only by a child
    PhysicsData( const char* );
	
private:
	// 
	string fType;

    ClassDef(PhysicsData,0)
};

#endif  /* __PHYSICSDATA_HH_ */

