// $Id: EmptyPhotonsInAtmosphere.hh 2604 2006-03-20 21:51:35Z thea $
// Author: Sylvain Moreggia   2005/11/14

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: EmptyPhotonsInAtmosphere                                             *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

#ifndef __EMPTYPHOTONSINATMOSPHERE_HH__
#define __EMPTYPHOTONSINATMOSPHERE_HH__

#include "euso.hh"
#include "PhotonsInAtmosphere.hh"

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// EmptyPhotonsInAtmosphere                                                   //
//                                                                            //  
// <brief class description>                                                  //  
//                                                                            //  
////////////////////////////////////////////////////////////////////////////////

class EmptyPhotonsInAtmosphere : public PhotonsInAtmosphere {
public:
    EmptyPhotonsInAtmosphere();
    virtual ~EmptyPhotonsInAtmosphere();

    // release all the mem hold in the buffers
    virtual Bool_t ClearMemory() { return kTRUE; }
private:

    ClassDef(EmptyPhotonsInAtmosphere,0)
};

#endif  /* __EMPTYPHOTONSINATMOSPHERE_HH__ */

