// ESAF : Euso Simulation and Analysis Framework
// $Id: MeteoriteLightSource.hh 1435 2005-01-24 09:24:06Z moreggia $
// D. De Marco - M. Pallavicini created Jan, 20 2002

#ifndef __METEORITESLIGHTSOURCE_HH_
#define __METEORITESLIGHTSOURCE_HH_

#include "euso.hh"
#include "LightSource.hh"

class MeteoriteLightSource : public LightSource {
public:
    // ctor
    MeteoriteLightSource();

    // dtor
    virtual ~MeteoriteLightSource();
    
    // generate photons
    virtual PhotonsInAtmosphere* Get( const PhysicsData* );
    
    // get ready fo next event
    virtual void Reset() {}  //TOFIX : to be implemented

    EsafConfigClass(LightSource,MeteoriteLightSource)

private:

    ClassDef(MeteoriteLightSource,0)
};

#endif  /* __METEORITESLIGHTSOURCE_HH_ */

