// ESAF : Euso Simulation and Analysis Framework
// $Id: PhotonsInAtmosphere.hh 2604 2006-03-20 21:51:35Z thea $
// D. De Marco - M. Pallavicini created Jan, 20 2002

#ifndef __PHOTONSINATMOSPHERE_HH_
#define __PHOTONSINATMOSPHERE_HH_

#include "euso.hh"
#include <vector>
#include "EsafMsgSource.hh"


class PhotonsInAtmosphere : public EsafMsgSource {
public:
    
    // ctor
    PhotonsInAtmosphere(string);
    // cpy ctor
    PhotonsInAtmosphere(const PhotonsInAtmosphere& o) {fType = o.GetType();}
    
    // dtor
    virtual ~PhotonsInAtmosphere();
    
    // get type of the child class
    inline string GetType() const {return fType;}

    // release all the mem hold in the buffers
    virtual Bool_t ClearMemory() = 0;
   
protected:
     string fType;
     
    ClassDef(PhotonsInAtmosphere,0)
};

#endif  /* __PHOTONSINATMOSPHERE_HH_ */

