// $Id: NoLightSource.cc 2364 2005-11-14 11:24:52Z moreggia $
// Author: Sylvain Moreggia   2005/11/10

/*****************************************************************************
 * ESAF: Euso Simulation and Analysis Framework                              *
 *                                                                           *
 *  Id: NoLightSource                                                           *
 *  Package: <packagename>                                                   *
 *  Coordinator: <coordinator>                                               *
 *                                                                           *
 *****************************************************************************/

//_____________________________________________________________________________
//
// NoLightSource
//
// <extensive class description>
//
//   Config file parameters
//   ======================
//
//   <parameter name>: <parameter description>
//   -Valid options: <available options>
//

#include "NoLightSource.hh"
#include "EmptyPhotonsInAtmosphere.hh"

ClassImp(NoLightSource)

//_____________________________________________________________________________
NoLightSource::NoLightSource() : LightSource("nolight") {
    //
    // Constructor
    //
    fEmpty = new EmptyPhotonsInAtmosphere();
}

//_____________________________________________________________________________
NoLightSource::~NoLightSource() {
    //
    // Destructor
    //
    SafeDelete(fEmpty);
}

